MyGUI: MyGUI::xml Namespace Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Namespace List
- Namespace Members

Namespaces | Data Structures | Typedefs | Functions
MyGUI::xml Namespace Reference

## Namespaces
namespace | utility

## Data Structures
class | Document
class | Element
class | ElementEnumerator
struct | ElementType
struct | ErrorType

## Typedefs
using | ElementPtr = Element*
typedef std::pair< std::string, std::string > | PairAttribute
using | VectorAttributes = std::vector<PairAttribute>
using | VectorElement = std::vector<ElementPtr>
typedef ElementEnumerator | xmlNodeIterator
typedef ElementPtr | xmlNodePtr
typedef Document | xmlDocument

## Functions
void | open_stream (std::ofstream &_stream, const std::wstring &_wide)
void | open_stream (std::ifstream &_stream, const std::wstring &_wide)

## Typedef Documentation

## ◆ ElementPtr

using MyGUI::xml::ElementPtr = Element*

Definition at line 106 of file MyGUI_XmlDocument.h.

## ◆ PairAttribute

typedef std::pair<std::string, std::string> MyGUI::xml::PairAttribute

Definition at line 107 of file MyGUI_XmlDocument.h.

## ◆ VectorAttributes

using MyGUI::xml::VectorAttributes = std::vector<PairAttribute>

Definition at line 108 of file MyGUI_XmlDocument.h.

## ◆ VectorElement

using MyGUI::xml::VectorElement = std::vector<ElementPtr>

Definition at line 109 of file MyGUI_XmlDocument.h.

## ◆ xmlDocument

typedef Document MyGUI::xml::xmlDocument

Deprecated
  "use : class MyGUI::xml::Document"

Definition at line 365 of file MyGUI_XmlDocument.h.

## ◆ xmlNodeIterator

typedef ElementEnumerator MyGUI::xml::xmlNodeIterator

Deprecated
  "use : class MyGUI::xml::ElementEnumerator"

Definition at line 361 of file MyGUI_XmlDocument.h.

## ◆ xmlNodePtr

typedef ElementPtr MyGUI::xml::xmlNodePtr

Deprecated
  "use : class MyGUI::xml::ElementPtr"

Definition at line 363 of file MyGUI_XmlDocument.h.

## Function Documentation

## ◆ open_stream() [1/2]

void MyGUI::xml::open_stream | ( | std::ifstream & | _stream,
|  | const std::wstring & | _wide )
| inline

Definition at line 367 of file MyGUI_XmlDocument.cpp.

## ◆ open_stream() [2/2]

void MyGUI::xml::open_stream | ( | std::ofstream & | _stream,
|  | const std::wstring & | _wide )
| inline

Definition at line 363 of file MyGUI_XmlDocument.cpp.